
QGIS Application - Bug report #369

problems compiling with geos < 2.2.3

2006-11-01 11:52 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 10428

Description

With latest SVN sources (6044) I had trouble compiling having installed GEOS 2.2.1, but I had no problems with 2.2.3

Are there any known issues with that version? Shouldn't configure script give a warning about that?

1.

      Compiling QGIS SVN 6043:

   2.

3.

      ./autogen.sh --prefix=/usr/local/qgis --with-python --with-grass=/usr/local/grass-6.3.cvs/ --with-geos=/usr/local/bin/geos-config

--with-wfs

   4.

5.

      [lots of stuff here]

   6.

7.

   ==========================================

   8.

      qgis 0.8.0

   9.

      ------------------------------------------

  10.

      GDAL/OGR      : yes (Version 1.3.2)

  11.

      GEOS          : yes (Version 2.2.1)

  12.

      [[PostgreSQL]]    : yes (Version 8.1.4)

  13.

      GRASS         : yes

  14.

      SPIT          : yes

  15.

      Georeferencer : yes

  16.

      WFS           : yes

  17.

      GPS/GPX       : yes

  18.

      PROJ4         : yes

  19.

      SQLITE3       : yes
  20.

      Python        : yes

  21.

22.

      CPPFLAGS      :

  23.

      CXXFLAGS      : -g -O2

  24.

25.

      Debug         : no

  26.

      Plugin dir    : /usr/local/qgis/lib/qgis

  27.

28.

      The binary will be installed in /usr/local/qgis/bin

  29.

30.

      The build is using Qt in /usr

  31.

      Linking with Qt using lQtCore -lQt3Support -lQtGui -lQtNetwork -lQtSvg -lQtCore -lQt3Support -lQtGui -lQtNetwork -lQtXml

-lQtSvg -lQtTest -lQtDesigner

  32.

      -----------------------------------------

  33.

      Configure finished, type 'make' to build.

  34.

      steko@cycnus:~/src/qgis_unstable$ make

  35.

36.

      [lots of good stuff here]

  37.

38.

       g++ -DHAVE_CONFIG_H -I. -I. -I../.. -DPREFIX=\\"/usr/local/qgis\\" -DPLUGINPATH=\\"/usr/local/qgis/lib/qgis\\"

-DPKGDATAPATH=\\"/usr/local/qgis/share/qgis\\" -g -O2 -DQT3_SUPPORT -I/usr/mkspecs/default

-I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtGui

-I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtXml -I/usr/include/qt4

-I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtDesigner -D_REENTRANT -DQT_THREAD_SUPPORT

-I/usr/include/postgresql -DNO_DEBUG -I/usr/local/include -I/usr/local/include -I/usr/include/python2.4 -I../ui/

-I../widgets/projectionselector/ -I../legend/ -I../raster/ -I../composer/ -I../gui/ -g -O2 -MT libqgis_core_la-qgsdatasource.lo -MD -MP

-MF .deps/libqgis_core_la-qgsdatasource.Tpo -c qgsdatasource.cpp  -fPIC -DPIC -o .libs/libqgis_core_la-qgsdatasource.o

  39.

      /usr/local/include/geos/geom.h:361: error: extra qualification 'geos::Coordinate::' on member 'setNull'

  40.

      /usr/local/include/geos/geom.h:367: error: extra qualification 'geos::Coordinate::' on member 'getNull'

  41.

      /usr/local/include/geos/geom.h:371: error: extra qualification 'geos::Coordinate::' on member 'Coordinate'

  42.

      /usr/local/include/geos/geom.h:377: error: extra qualification 'geos::Coordinate::' on member 'Coordinate'

  43.

      /usr/local/include/geos/geom.h:384: error: extra qualification 'geos::Coordinate::' on member 'Coordinate'

  44.

      /usr/local/include/geos/geom.h:394: error: extra qualification 'geos::Coordinate::' on member 'Coordinate'

  45.
      /usr/local/include/geos/geom.h:400: error: extra qualification 'geos::Coordinate::' on member 'setCoordinate'

  46.

      /usr/local/include/geos/geom.h:406: error: extra qualification 'geos::Coordinate::' on member 'equals2D'

  47.

      /usr/local/include/geos/geom.h:416: error: extra qualification 'geos::Coordinate::' on member 'compareTo'

  48.

      /usr/local/include/geos/geom.h:432: error: extra qualification 'geos::Coordinate::' on member 'equals3D'

  49.

      /usr/local/include/geos/geom.h:436: error: extra qualification 'geos::Coordinate::' on member 'makePrecise'

  50.

      /usr/local/include/geos/geom.h:441: error: extra qualification 'geos::Coordinate::' on member 'distance'

  51.

      /usr/local/include/geos/geom.h:447: error: extra qualification 'geos::Coordinate::' on member 'hashCode'

  52.

      /usr/local/include/geos/geom.h:459: error: extra qualification 'geos::Coordinate::' on member 'hashCode'

  53.

      maker4: * [libqgis_core_la-qgsdatasource.lo] Error 1

  54.

      maker4: Leaving directory /home/steko/src/qgis_unstable/src/core'

  55.

      maker3: *** [all] Error 2

  56.

      maker3: Leaving directory /home/steko/src/qgis_unstable/src/core'

  57.

      maker2:  [all-recursive] Error 1

  58.

      maker2: Leaving directory /home/steko/src/qgis_unstable/src'

  59.

      maker1: *** [all-recursive] Error 1

  60.

      maker1: Leaving directory /home/steko/src/qgis_unstable'

  61.

      make: ** [all] Error 2

  62.

      steko@cycnus:~/src/qgis_unstable$

History

#1 - 2006-11-02 11:38 AM - Gavin Macaulay -

- Resolution set to invalid

- Status changed from Open to Closed

The problem here is that the version of g++ that you are using is more strict about some aspects of C++ code than earlier versions, and hence complains

about some of the geos 2.2.1 code. The solution is to either use an older compiler, find out what compiler switches turn off the namespace qualification

check, fix those errors in the geom.h file, or move to a more recent version of geos.

Qgis will work fine with geos 2.2.1, it's just your compiler that's not happy.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
